Skip to main content

Returns the values of a label in a metrics account by ID

GET 

/v1/metrics/prometheus/:accountId/api/v1/label/:label_name/values

Runs against the metrics account given by accountId instead of the API token's own account, so it can be called with the API token of a logs account. The token's account must be one of the metrics account's authorized accounts, otherwise the request returns 401. To list the metrics accounts and their authorizedAccountsIds, use Get a list of all metrics accounts.

Retrieves a list of all values associated with a specific label name, optionally filtered by time range and series selectors. Please ensure to change the region in the URL to match your account's region.

Request​

Path Parameters

    accountId integerrequired

    ID of the metrics account to query.

    label_name stringrequired

    The name of the label to retrieve values for.

Query Parameters

    start string

    Start timestamp, inclusive, as an RFC3339 or Unix timestamp. Optional.

    end string

    End timestamp, inclusive, as an RFC3339 or Unix timestamp. Optional.

    match[] string[]

    Series selector to narrow down the series from which to read the label values. Optional.

    limit integer

    Maximum number of label values to return. Optional.

Responses​

List of label values.

Schema
    status string

    Status of the request (e.g., success, fail).

    data string[]
Loading...